# ExtendedFileStream

Extended file stream wrapper class which auto-creates directories

author | Michiel Rook mrook@php.net
version | $Id: f79cd4875fb432d0163409659253a4c652389ba7 $
package | phing.util

### Methods

## createDirectories

    createDirectories( $path)

### Arguments

#### $path

``

## mkdir

    mkdir( $path,  $mode,  $options)

### Arguments

#### $path

``

#### $mode

``

#### $options

``

## registerStream

    registerStream()

static

## rename

    rename( $path_from,  $path_to)

### Arguments

#### $path_from

``

#### $path_to

``

## rmdir

    rmdir( $path,  $options)

### Arguments

#### $path

``

#### $options

``

## stream_close

    stream_close()

## stream_eof

    stream_eof()

## stream_flush

    stream_flush()

## stream_open

    stream_open( $path,  $mode,  $options,  &$opened_path)

### Arguments

#### $path

``

#### $mode

``

#### $options

``

#### $opened_path

``

## stream_read

    stream_read( $count)

### Arguments

#### $count

``

## stream_seek

    stream_seek( $offset,  $whence)

### Arguments

#### $offset

``

#### $whence

``

## stream_stat

    stream_stat()

## stream_tell

    stream_tell()

## stream_write

    stream_write( $data)

### Arguments

#### $data

``

## unlink

    unlink( $path)

### Arguments

#### $path

``

## unregisterStream

    unregisterStream()

static

### Properties

## fp

    fp :

### Type(s)

``